Bug 1921686 (F34Everythingbootx86_64Oversize) - Fedora 34: Everything boot x86_64 image exceeds maximum size
Summary: Fedora 34: Everything boot x86_64 image exceeds maximum size
Keywords:
Status: CLOSED ERRATA
Alias: F34Everythingbootx86_64Oversize
Product: Fedora
Classification: Fedora
Component: distribution
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Cotton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: BetaBlocker, F34BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2021-01-28 12:28 UTC by Fedora QA Tools SIG
Modified: 2021-02-12 21:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-12 21:41:23 UTC
Type: ---


Attachments (Terms of Use)

Description Fedora QA Tools SIG 2021-01-28 12:28:30 UTC
Everything boot x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20210128.n.0/compose/Everything/x86_64/iso/Fedora-Everything-netinst-x86_64-Rawhide-20210128.n.0.iso from compose Fedora-Rawhide-20210128.n.0 is 788529152 bytes, exceeding the maximum size 734003200. Canonical maximum sizes can be found at https://fedoraproject.org/wiki/Releases/34/Spins and https://fedoraproject.org/wiki/Releases/34/ReleaseBlocking . This check is run by the 'relval' tool, which has its own list of maximum sizes derived from those pages. If the maximum size used for this comparison is wrong, please add a comment and file a bug against relval at https://pagure.io/fedora-qa/relval/issues and it will be corrected. If you believe the canonical maximum size for an image should be changed, please follow the appropriate process before filing a relval bug.

Comment 1 Adam Williamson 2021-01-28 17:41:10 UTC
Gah. Thanks, Ben. These should have been set to block the trackers automatically, the tool is supposed to do that, and I just cannot figure out why it isn't :(

Comment 2 Fedora QA Tools SIG 2021-01-31 10:56:50 UTC
Everything boot x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20210131.n.0/compose/Everything/x86_64/iso/Fedora-Everything-netinst-x86_64-Rawhide-20210131.n.0.iso from compose Fedora-Rawhide-20210131.n.0 is 789577728 bytes, exceeding the maximum size 734003200.

Comment 3 Adam Williamson 2021-02-05 17:08:06 UTC
The 20210203.n.0 compose image sizes were OK. Then 04.n.0 was oversize again, then 05.n.0 is OK again:

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20210203.n.0/compose/Everything/x86_64/iso/
https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20210204.n.0/compose/Everything/x86_64/iso/
https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20210205.n.0/compose/Everything/x86_64/iso/

I think this *may* actually have also been linked to the kernel KASAN stuff, somehow. Since 03.n.0 was a non-debug-kernel compose, 0204.n.0 had a debug kernel with KASAN, and 0205.n.0 has a debug kernel without KASAN.

Comment 4 Adam Williamson 2021-02-05 17:08:39 UTC
Oh, yeah, looking closer at the Rawhide report:

Package:      kernel-5.11.0-0.rc6.20210204git61556703b610.144.fc34
Old package:  kernel-5.11.0-0.rc6.20210203git3aaf0a27ffc2.143.fc34
Summary:      The Linux kernel
RPMs:         kernel kernel-core kernel-devel kernel-lpae kernel-lpae-core kernel-lpae-devel kernel-lpae-modules kernel-lpae-modules-extra kernel-lpae-modules-internal kernel-modules kernel-modules-extra kernel-modules-internal
Size:         434.27 MiB
Size change:  -101.43 MiB

101.43MiB compressed seems...significant.

Comment 5 Ben Cotton 2021-02-09 15:43:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 6 Adam Williamson 2021-02-12 21:41:23 UTC
images are still comfortably undersize in current composes AFAICT, so let's just close these bugs.


Note You need to log in before you can comment on or make changes to this bug.